"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const connections_1 = require("../../lib/connections");
const cli_ux_1 = require("cli-ux");
class LoginList extends command_1.Command {
    async run() {
        try {
            const connections = connections_1.getConnections();
            const opt = (key, def = "") => ({
                get: (x) => x[key] || def
            });
            cli_ux_1.cli.table(connections, {
                id: {},
                baseUrl: {},
                userName: {},
                password: {},
                client: opt("client"),
                nosslvalidation: opt("nosslvalidation", false),
                certPath: opt("certPath")
            });
        }
        catch (error) {
            this.log(error.toString());
        }
    }
}
exports.default = LoginList;
LoginList.description = "Lists stored connection details";
