"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const common_1 = require("../lib/common");
const main_1 = require("../main");
class Simulate extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Simulate);
        const { objectType = "", objectName = "" } = args;
        const client = await common_1.getClient(flags);
        const main = new main_1.Main(client, flags.abaplint);
        const objects = await main.list(objectType, objectName, flags);
        await main.processObjects(objects, {
            test: true,
            transport: flags.transport
        });
    }
}
exports.default = Simulate;
Simulate.description = "Simulate updates: perform all actions except writing the formatted source and activating";
Simulate.examples = [
    "$ abapPretty siulate -c MYCONN DEVC/K ZMYPACKAGE",
    "$ abapPretty siulate -h host -P port -u user -p password DEVC/K ZMYPACKAGE",
    `$ SAP_ASHOST=host SAP_PORT=port SAP_USER=user SAP_PASSWORD=bash -c 'abapPretty siulate DEVC/K ZMYPACKAGE'`
];
Simulate.flags = common_1.ALLCOMMONFLAGS;
Simulate.args = common_1.COMMONARGS;
