import { ADTClient } from "abap-adt-api";
export declare const PACKAGE = "DEVC/K";
export declare const treatableTypes: {
    desc: string;
    type: string;
}[];
export declare const supportedTypes: {
    desc: string;
    type: string;
}[];
export interface AbapObject {
    type: string;
    name: string;
    url: string;
}
export interface AbapInclude {
    type: string;
    name: string;
    metaUrl: string;
    sourceUrl: string;
}
export declare const includeName: (i: AbapInclude) => string;
export declare type Notifier = (message: string) => void;
export declare const supportedType: (type: string) => boolean;
export declare function list(client: ADTClient, type: string, name: string, notifier: Notifier, recursive?: boolean): Promise<AbapObject[]>;
export declare function expand(client: ADTClient, base: AbapObject): Promise<{
    name: string;
    type: string;
    metaUrl: string;
    sourceUrl: string;
}[]>;
