"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pretty_printer_1 = require("@abaplint/core/build/src/pretty_printer/pretty_printer");
const cli_ux_1 = require("cli-ux");
const core_1 = require("@abaplint/core");
const fs_1 = require("fs");
const abap_1 = require("./abap");
const isAbapObject = (o) => o instanceof core_1.ABAPObject;
function parse(name, abap) {
    var _a;
    const reg = new core_1.Registry().addFile(new core_1.MemoryFile(name, abap)).parse();
    const objects = reg.getObjects().filter(isAbapObject);
    return (_a = objects[0]) === null || _a === void 0 ? void 0 : _a.getABAPFiles()[0];
}
let config = core_1.Config.getDefault();
async function loadAbapLintConfig(path) {
    try {
        const source = fs_1.readFileSync(path).toString();
        config = new core_1.Config(source);
    }
    catch (error) {
        cli_ux_1.cli.error(`Error loading config file ${path}: ${error.toString()}`);
    }
}
exports.loadAbapLintConfig = loadAbapLintConfig;
function abapLintprettyPrint(include, source) {
    const name = abap_1.includeName(include);
    const f = parse(name, source);
    const result = new pretty_printer_1.PrettyPrinter(f, config).run();
    if (source && !result)
        cli_ux_1.cli.error(`Abaplint formatting failed for ${name}`);
    return result;
}
exports.abapLintprettyPrint = abapLintprettyPrint;
