"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Conf = require("conf");
const util_1 = require("./util");
const CONNECTIONS = "Connections";
const config = new Conf({ projectName: "abapPretty" });
function readConnections() {
    const connections = config.get(CONNECTIONS) || {};
    return connections;
}
function getConnection(id) {
    const connection = readConnections()[id];
    if (!connection)
        return;
    if (connection === null || connection === void 0 ? void 0 : connection.password)
        connection.password = util_1.btoa(connection.password);
    return connection;
}
exports.getConnection = getConnection;
function getConnections() {
    const connections = readConnections();
    return Object.keys(connections).map(c => {
        const conn = connections[c];
        let { password } = conn;
        password = password ? "set" : "not set";
        return Object.assign(Object.assign({}, conn), { password });
    });
}
exports.getConnections = getConnections;
function saveConnection(conn) {
    if (conn.password)
        conn = Object.assign(Object.assign({}, conn), { password: util_1.atob(conn.password) });
    const connections = readConnections();
    connections[conn.id] = conn;
    config.set(CONNECTIONS, connections);
}
exports.saveConnection = saveConnection;
